Bullet Collision Detection & Physics Library: btClipPolygon.h File Reference

Bullet Collision Detection & Physics Library

Functions
btClipPolygon.h File Reference
`#include "LinearMath/btTransform.h"`
`#include "LinearMath/btGeometryUtil.h"`
Include dependency graph for btClipPolygon.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
btScalar | bt_distance_point_plane (const btVector4 &plane, const btVector3 &point)
void | bt_vec_blend (btVector3 &vr, const btVector3 &va, const btVector3 &vb, btScalar blend_factor)
void | bt_plane_clip_polygon_collect (const btVector3 &point0, const btVector3 &point1, btScalar dist0, btScalar dist1, btVector3 *clipped, int &clipped_count)
| This function calcs the distance from a 3D plane. More...
int | bt_plane_clip_polygon (const btVector4 &plane, const btVector3 *polygon_points, int polygon_point_count, btVector3 *clipped)
| Clips a polygon by a plane. More...
int | bt_plane_clip_triangle (const btVector4 &plane, const btVector3 &point0, const btVector3 &point1, const btVector3 &point2, btVector3 *clipped)
| Clips a polygon by a plane. More...

## Detailed Description

Author
  Francisco Leon Najera

Definition in file btClipPolygon.h.

## Function Documentation

## ◆ bt_distance_point_plane()

btScalar bt_distance_point_plane | ( | const btVector4 & | plane,
|  | const btVector3 & | point
| ) |  |
| inline

Definition at line 30 of file btClipPolygon.h.

## ◆ bt_plane_clip_polygon()

int bt_plane_clip_polygon | ( | const btVector4 & | plane,
|  | const btVector3 * | polygon_points,
|  | int | polygon_point_count,
|  | btVector3 * | clipped
| ) |  |
| inline

Clips a polygon by a plane.

Returns
  The count of the clipped counts

Definition at line 70 of file btClipPolygon.h.

## ◆ bt_plane_clip_polygon_collect()

void bt_plane_clip_polygon_collect | ( | const btVector3 & | point0,
|  | const btVector3 & | point1,
|  | btScalar | dist0,
|  | btScalar | dist1,
|  | btVector3 * | clipped,
|  | int & | clipped_count
| ) |  |
| inline

This function calcs the distance from a 3D plane.

Definition at line 43 of file btClipPolygon.h.

## ◆ bt_plane_clip_triangle()

int bt_plane_clip_triangle | ( | const btVector4 & | plane,
|  | const btVector3 & | point0,
|  | const btVector3 & | point1,
|  | const btVector3 & | point2,
|  | btVector3 * | clipped
| ) |  |
| inline

Clips a polygon by a plane.

Parameters

  clipped | must be an array of 16 points.

Returns
  The count of the clipped counts

Definition at line 119 of file btClipPolygon.h.

## ◆ bt_vec_blend()

void bt_vec_blend | ( | btVector3 & | vr,
|  | const btVector3 & | va,
|  | const btVector3 & | vb,
|  | btScalar | blend_factor
| ) |  |
| inline

Vector blending Takes two vectors a, b, blends them together

Definition at line 37 of file btClipPolygon.h.